package Contact

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/Contact"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /contact/create Contact CreateContact
//
// Create contact information | 创建Contact
//
// Create contact information | 创建Contact
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: ContactInfo
//
// Responses:
//  200: BaseMsgResp

func CreateContactHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.ContactInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Contact.NewCreateContactLogic(r.Context(), svcCtx)
		resp, err := l.CreateContact(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
