package base

import (
	"github.com/suyuan32/simple-admin-common/utils/pointy"
	"github.com/suyuan32/simple-admin-core/rpc/types/core"
)

func (l *InitDatabaseLogic) insertApiData() (err error) {
	// Contact

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/contact/create"),
		Description: pointy.GetPointer("apiDesc.createContact"),
		ApiGroup:    pointy.GetPointer("contact"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/contact/update"),
		Description: pointy.GetPointer("apiDesc.updateContact"),
		ApiGroup:    pointy.GetPointer("contact"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/contact/delete"),
		Description: pointy.GetPointer("apiDesc.deleteContact"),
		ApiGroup:    pointy.GetPointer("contact"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/contact/list"),
		Description: pointy.GetPointer("apiDesc.getContactList"),
		ApiGroup:    pointy.GetPointer("contact"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/contact"),
		Description: pointy.GetPointer("apiDesc.getContactById"),
		ApiGroup:    pointy.GetPointer("contact"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// Wx

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx/create"),
		Description: pointy.GetPointer("apiDesc.createWx"),
		ApiGroup:    pointy.GetPointer("wx"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx/update"),
		Description: pointy.GetPointer("apiDesc.updateWx"),
		ApiGroup:    pointy.GetPointer("wx"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx/delete"),
		Description: pointy.GetPointer("apiDesc.deleteWx"),
		ApiGroup:    pointy.GetPointer("wx"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx/list"),
		Description: pointy.GetPointer("apiDesc.getWxList"),
		ApiGroup:    pointy.GetPointer("wx"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/wx"),
		Description: pointy.GetPointer("apiDesc.getWxById"),
		ApiGroup:    pointy.GetPointer("wx"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	// Server

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/server/create"),
		Description: pointy.GetPointer("apiDesc.createServer"),
		ApiGroup:    pointy.GetPointer("server"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/server/update"),
		Description: pointy.GetPointer("apiDesc.updateServer"),
		ApiGroup:    pointy.GetPointer("server"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/server/delete"),
		Description: pointy.GetPointer("apiDesc.deleteServer"),
		ApiGroup:    pointy.GetPointer("server"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/server/list"),
		Description: pointy.GetPointer("apiDesc.getServerList"),
		ApiGroup:    pointy.GetPointer("server"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}

	_, err = l.svcCtx.CoreRpc.CreateApi(l.ctx, &core.ApiInfo{
		ServiceName: pointy.GetPointer("Wechat"),
		Path:        pointy.GetPointer("/server"),
		Description: pointy.GetPointer("apiDesc.getServerById"),
		ApiGroup:    pointy.GetPointer("server"),
		Method:      pointy.GetPointer("POST"),
	})

	if err != nil {
		return err
	}


	return err
}