// Code generated by goctl. DO NOT EDIT.
package types

// The basic response with data | 基础带数据信息
// swagger:model BaseDataInfo
type BaseDataInfo struct {
	// Error code | 错误代码
	Code int `json:"code"`
	// Message | 提示信息
	Msg string `json:"msg"`
	// Data | 数据
	Data string `json:"data,omitempty"`
}

// The basic response with data | 基础带数据信息
// swagger:model BaseListInfo
type BaseListInfo struct {
	// The total number of data | 数据总数
	Total uint64 `json:"total"`
	// Data | 数据
	Data string `json:"data,omitempty"`
}

// The basic response without data | 基础不带数据信息
// swagger:model BaseMsgResp
type BaseMsgResp struct {
	// Error code | 错误代码
	Code int `json:"code"`
	// Message | 提示信息
	Msg string `json:"msg"`
}

// The page request parameters | 列表请求参数
// swagger:model PageInfo
type PageInfo struct {
	// Page number | 第几页
	// required : true
	// min : 0
	Page uint64 `json:"page" validate:"required,number,gt=0"`
	// Page size | 单页数据行数
	// required : true
	// max : 100000
	PageSize uint64 `json:"pageSize" validate:"required,number,lt=100000"`
}

// Basic ID request | 基础ID参数请求
// swagger:model IDReq
type IDReq struct {
	// ID
	// Required: true
	Id uint64 `json:"id" validate:"number"`
}

// Basic IDs request | 基础ID数组参数请求
// swagger:model IDsReq
type IDsReq struct {
	// IDs
	// Required: true
	Ids []uint64 `json:"ids"`
}

// Basic ID request | 基础ID地址参数请求
// swagger:model IDPathReq
type IDPathReq struct {
	// ID
	// Required: true
	Id uint64 `path:"id"`
}

// Basic ID request (int32) | 基础ID参数请求 (int32)
// swagger:model IDInt32Req
type IDInt32Req struct {
	// ID
	// Required: true
	Id int32 `json:"id" validate:"number"`
}

// Basic IDs request (int32) | 基础ID数组参数请求 (int32)
// swagger:model IDsInt32Req
type IDsInt32Req struct {
	// IDs
	// Required: true
	Ids []int32 `json:"ids"`
}

// Basic ID request (int32) | 基础ID地址参数请求 (int32)
// swagger:model IDInt32PathReq
type IDInt32PathReq struct {
	// ID
	// Required: true
	Id int32 `path:"id"`
}

// Basic ID request (uint32) | 基础ID参数请求 (uint32)
// swagger:model IDUint32Req
type IDUint32Req struct {
	// ID
	// Required: true
	Id uint32 `json:"id" validate:"number"`
}

// Basic IDs request (uint32) | 基础ID数组参数请求 (uint32)
// swagger:model IDsUint32Req
type IDsUint32Req struct {
	// IDs
	// Required: true
	Ids []uint32 `json:"ids"`
}

// Basic ID request (uint32) | 基础ID地址参数请求 (uint32)
// swagger:model IDUint32PathReq
type IDUint32PathReq struct {
	// ID
	// Required: true
	Id uint32 `path:"id"`
}

// Basic ID request (int64) | 基础ID参数请求 (int64)
// swagger:model IDInt64Req
type IDInt64Req struct {
	// ID
	// Required: true
	Id int64 `json:"id" validate:"number"`
}

// Basic IDs request (int64) | 基础ID数组参数请求 (int64)
// swagger:model IDsInt64Req
type IDsInt64Req struct {
	// IDs
	// Required: true
	Ids []int64 `json:"ids"`
}

// Basic ID request (int64) | 基础ID地址参数请求 (int64)
// swagger:model IDInt64PathReq
type IDInt64PathReq struct {
	// ID
	// Required: true
	Id int64 `path:"id"`
}

// Basic UUID request in path | 基础UUID地址参数请求
// swagger:model UUIDPathReq
type UUIDPathReq struct {
	// ID
	// Required: true
	Id string `path:"id"`
}

// Basic UUID request | 基础UUID参数请求
// swagger:model UUIDReq
type UUIDReq struct {
	// ID
	// required : true
	// max length : 36
	// min length : 36
	Id string `json:"id" validate:"required,len=36"`
}

// Basic UUID array request | 基础UUID数组参数请求
// swagger:model UUIDsReq
type UUIDsReq struct {
	// Ids
	// Required: true
	Ids []string `json:"ids"`
}

// The base ID response data | 基础ID信息
// swagger:model BaseIDInfo
type BaseIDInfo struct {
	// ID
	Id *uint64 `json:"id,optional"`
	// Create date | 创建日期
	CreatedAt *int64 `json:"createdAt,optional"`
	// Update date | 更新日期
	UpdatedAt *int64 `json:"updatedAt,optional"`
}

// The base ID response data (int64) | 基础ID信息 (int64)
// swagger:model BaseIDInt64Info
type BaseIDInt64Info struct {
	// ID
	Id *int64 `json:"id,optional"`
	// Create date | 创建日期
	CreatedAt *int64 `json:"createdAt,optional"`
	// Update date | 更新日期
	UpdatedAt *int64 `json:"updatedAt,optional"`
}

// The base ID response data (int32) | 基础ID信息 (int32)
// swagger:model BaseIDInt32Info
type BaseIDInt32Info struct {
	// ID
	Id *int32 `json:"id,optional"`
	// Create date | 创建日期
	CreatedAt *int64 `json:"createdAt,optional"`
	// Update date | 更新日期
	UpdatedAt *int64 `json:"updatedAt,optional"`
}

// The base ID response data (uint32) | 基础ID信息 (uint32)
// swagger:model BaseIDUint32Info
type BaseIDUint32Info struct {
	// ID
	Id *uint32 `json:"id,optional"`
	// Create date | 创建日期
	CreatedAt *int64 `json:"createdAt,optional"`
	// Update date | 更新日期
	UpdatedAt *int64 `json:"updatedAt,optional"`
}

// The base UUID response data | 基础UUID信息
// swagger:model BaseUUIDInfo
type BaseUUIDInfo struct {
	// ID
	Id *string `json:"id,optional"`
	// Create date | 创建日期
	CreatedAt *int64 `json:"createdAt,optional"`
	// Update date | 更新日期
	UpdatedAt *int64 `json:"updatedAt,optional"`
}

// The response data of server information | Server信息
// swagger:model ServerInfo
type ServerInfo struct {
	BaseIDInfo
	// Status 1: normal 2: ban | 状态 1 正常 2 禁用
	Status *uint8 `json:"status,optional"`
	// 名称
	Name *string `json:"name,optional"`
	// 公网ip
	PublicIp *string `json:"publicIp,optional"`
	// 内网ip
	PrivateIp *string `json:"privateIp,optional"`
	// 管理端口
	AdminPort *string `json:"adminPort,optional"`
}

// The response data of server list | Server列表数据
// swagger:model ServerListResp
type ServerListResp struct {
	BaseDataInfo
	// Server list data | Server列表数据
	Data ServerListInfo `json:"data"`
}

// Server list data | Server列表数据
// swagger:model ServerListInfo
type ServerListInfo struct {
	BaseListInfo
	// The API list data | Server列表数据
	Data []ServerInfo `json:"data"`
}

// Get server list request params | Server列表请求参数
// swagger:model ServerListReq
type ServerListReq struct {
	PageInfo
	// 名称
	Name *string `json:"name,optional"`
	// 公网ip
	PublicIp *string `json:"publicIp,optional"`
	// 内网ip
	PrivateIp *string `json:"privateIp,optional"`
}

// Server information response | Server信息返回体
// swagger:model ServerInfoResp
type ServerInfoResp struct {
	BaseDataInfo
	// Server information | Server数据
	Data ServerInfo `json:"data"`
}

// The response data of wx information | Wx信息
// swagger:model WxInfo
type WxInfo struct {
	BaseIDInfo
	// Status 1: normal 2: ban | 状态 1 正常 2 禁用
	Status *uint8 `json:"status,optional"`
	// 服务器id
	ServerId *uint64 `json:"serverId,optional"`
	// 端口号
	Port *string `json:"port,optional"`
	// 进程号
	ProcessId *string `json:"processId,optional"`
	// 回调地址
	Callback *string `json:"callback,optional"`
	// 微信id
	Wxid *string `json:"wxid,optional"`
	// 微信账号
	Account *string `json:"account,optional"`
	// 微信昵称
	Nickname *string `json:"nickname,optional"`
	// 手机号
	Tel *string `json:"tel,optional"`
	// 微信头像
	HeadBig *string `json:"headBig,optional"`
}

// The response data of wx list | Wx列表数据
// swagger:model WxListResp
type WxListResp struct {
	BaseDataInfo
	// Wx list data | Wx列表数据
	Data WxListInfo `json:"data"`
}

// Wx list data | Wx列表数据
// swagger:model WxListInfo
type WxListInfo struct {
	BaseListInfo
	// The API list data | Wx列表数据
	Data []WxInfo `json:"data"`
}

// Get wx list request params | Wx列表请求参数
// swagger:model WxListReq
type WxListReq struct {
	PageInfo
	// 端口号
	Port *string `json:"port,optional"`
	// 进程号
	ProcessId *string `json:"processId,optional"`
	// 回调地址
	Callback *string `json:"callback,optional"`
}

// Wx information response | Wx信息返回体
// swagger:model WxInfoResp
type WxInfoResp struct {
	BaseDataInfo
	// Wx information | Wx数据
	Data WxInfo `json:"data"`
}

type LoginQRStatus struct {
	// 登陆二维码
	QRCode string `json:"qRCode,optional"`
	// 登陆二维码状态
	Status string `json:"status,optional"`
	// 登陆二维码状态描述
	StatusDesc string `json:"statusDesc,optional"`
}

// 刷新登陆二维码请求参数
// swagger:model RefreshLoginQRReq
type RefreshLoginQRReq struct {
	// 服务器id
	ServerId *uint64 `json:"serverId,optional"`
	// 端口号
	Port *string `json:"port,optional"`
	// 回调地址
	Callback *string `json:"callback,optional"`
}

// 刷新登陆二维码返回参数
// swagger:model RefreshLoginQRResp
type RefreshLoginQRResp struct {
	BaseDataInfo
	// 二维码Base64
	Data LoginQRStatus `json:"data,optional"`
}

// The response data of contact information | Contact信息
// swagger:model ContactInfo
type ContactInfo struct {
	BaseIDInfo
	// Status 1: normal 2: ban | 状态 1 正常 2 禁用
	Status *uint8 `json:"status,optional"`
	// 属主微信id
	WxWxid *string `json:"wxWxid,optional"`
	// 联系人类型：1好友，2群组，3公众号，4企业微信联系人
	Type *int `json:"type,optional"`
	// 微信id 公众号微信ID
	Wxid *string `json:"wxid,optional"`
	// 微信账号
	Account *string `json:"account,optional"`
	// 微信昵称 群备注名称
	Nickname *string `json:"nickname,optional"`
	// 备注名
	Markname *string `json:"markname,optional"`
	// 头像
	Headimg *string `json:"headimg,optional"`
	// 性别 0未知 1男 2女
	Sex *int `json:"sex,optional"`
	// 星标 65/67=星标 1/3=未星标
	Starrole *string `json:"starrole,optional"`
	// 不让他看我的朋友圈 0可以看 1不让看
	Dontseeit *int `json:"dontseeit,optional"`
	// 不看他的朋友圈 0可以看 1不看 1=开启了不看他 128/129=仅聊天
	Dontseeme *int `json:"dontseeme,optional"`
	// 所属标签id清单，多开会用逗号隔开
	Lag *string `json:"lag,optional"`
	// 群组id
	Gid *string `json:"gid,optional"`
	// 群组名称
	Gname *string `json:"gname,optional"`
	// v3数据
	V3 *string `json:"v3,optional"`
}

// The response data of contact list | Contact列表数据
// swagger:model ContactListResp
type ContactListResp struct {
	BaseDataInfo
	// Contact list data | Contact列表数据
	Data ContactListInfo `json:"data"`
}

// Contact list data | Contact列表数据
// swagger:model ContactListInfo
type ContactListInfo struct {
	BaseListInfo
	// The API list data | Contact列表数据
	Data []ContactInfo `json:"data"`
}

// Get contact list request params | Contact列表请求参数
// swagger:model ContactListReq
type ContactListReq struct {
	PageInfo
	// 属主微信id
	WxWxid *string `json:"wxWxid,optional"`
	// 微信id 公众号微信ID
	Wxid *string `json:"wxid,optional"`
	// 微信账号
	Account *string `json:"account,optional"`
}

// Contact information response | Contact信息返回体
// swagger:model ContactInfoResp
type ContactInfoResp struct {
	BaseDataInfo
	// Contact information | Contact数据
	Data ContactInfo `json:"data"`
}
